查询产品辅料列表
POST
/erp/sc/routing/data/local_inventory/productAuxList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/data/local_inventory/productAuxList | HTTPS | POST | 1 |
请求参数
offsetintegerlengthinteger请求示例
{
"offset": 0,
"length": 20
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
idinteger必填skustring必填product_namestring必填product_creator_realnamestring必填permission_user_infoarray<string>必填cg_pricenumber必填cg_product_lengthnumber必填cg_product_widthnumber必填cg_product_heightnumber必填cg_product_net_weightnumber必填remarkstring必填purchase_supplier_quoteobject必填隐藏子属性
product_idinteger必填cg_pricenumber必填has_cg_permissioninteger必填suppliersobject必填隐藏子属性
supplier_idinteger必填is_primaryinteger必填supplier_namestring必填contact_personstring必填contact_numberstring必填provincestring必填citystring必填addressstring必填supplier_product_urlarray<any>必填quotesarray<object>必填隐藏子属性
currencystring必填currency_iconstring必填is_taxinteger必填tax_ratenumber必填step_pricesarray<object>必填隐藏子属性
price_with_taxnumber必填pricenumber必填moqinteger必填aux_relation_productarray<object>必填隐藏子属性
pidinteger必填product_namestring必填skustring必填quantityinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "80E9323C-CF3A-7A1F-B9A1-D4A988635AC8",
"response_time": "2023-03-09 15:58:12",
"data": [
{
"aux_relation_product": [
{
"pid": 2125093,
"product_name": "AUX11111",
"sku": "AUX11111",
"quantity": 2
},
{
"pid": 2125091,
"product_name": "钢化玻璃膜2",
"sku": "SKU2986DFA",
"quantity": 2
}
],
"purchase_supplier_quote": {
"product_id": 2125093,
"cg_price": "0.0000",
"has_cg_permission": 1,
"suppliers": {
"1": {
"supplier_id": 1,
"is_primary": 1,
"supplier_name": "供应商1",
"contact_person": "",
"contact_number": "",
"province": "",
"city": "",
"address": "",
"supplier_product_url": [
"https://detail.1688.com/offer/669376802464.html?spm=a260j.12536015.jr601u7p.1.29d4700ecBBrdJ",
"https://detail.1688.com/offer/669376802464.html?spm=a260j.12536015.jr601u7p.1.29d4700ecBBrdJ"
],
"quotes": {
"CNY": {
"currency": "CNY",
"currency_icon": "¥",
"is_tax": 0,
"tax_rate": 0,
"step_prices": [
{
"price_with_tax": "0.0000",
"price": "0.0000",
"moq": 0
}
]
}
}
},
"245": {
"supplier_id": 245,
"is_primary": 0,
"supplier_name": "新增供应商NXthJByPZt",
"contact_person": "",
"contact_number": "",
"province": "",
"city": "",
"address": "",
"supplier_product_url": [],
"quotes": {
"CNY": {
"currency": "CNY",
"currency_icon": "¥",
"is_tax": 0,
"tax_rate": 0,
"step_prices": [
{
"price_with_tax": "0.0000",
"price": "0.0000",
"moq": 0
}
]
}
}
}
}
},
"id": 4532,
"sku": "asdfasd",
"product_name": "chaolia",
"cid": 0,
"cg_price": "0.0000",
"cg_product_length": "0.00",
"cg_product_width": "0.00",
"cg_product_height": "0.00",
"cg_product_net_weight": "0.00",
"remark": "",
"is_aux": 1
}
],
"total": 42
}
返回失败示例
{
"code": 500,
"message": "内部错误",
"error_details": "offset 必须是非负数 [请求码:C365FF]",
"request_id": "0A754F01-588E-C019-2693-5B72CF31D914",
"response_time": "2021-11-11 18:26:35",
"data": [],
"total": 0
}